Post by Frens » Tue Jul 18, 2017 3:46 am

Hallo,

Ik krijg bij extensies als ik bijv een module installeer en wil aanpassen of voor de annuleren knop kies de melding
Toegang geweigerd

Het probleem lijkt!? zich vooral voor te doen bij nieuw geïnstalleerde modules (vqmod en manager , Sisow payments).
af en toe gaat het ook goed.

Vooral de annuleren knop geeft de melding.

Al een en ander gelezen maar geen oplossing

Gebruikers groep rechten staan goed.

v2.3.0.2

Newbie

Posts

Joined
Sat Apr 20, 2013 10:48 pm

Post by pprmkr » Tue Jul 18, 2017 2:29 pm

Meest waarschijnlijke is: onjuiste versie van de extensie.

In voorgaande versie werden modules, betaal- en verzend-methodes in de mappen in controller/module/, controller/payment enz. geplaatst.
In OC 2.3.* zijn ze echter verplaatst naar mappen controller/extension/module, controller/extension/payment enz.

De 'Cancel' link, en de redirect na opslaan instellingen, in oudere versie had in de route 'extension/module'.
Versie 2.3.* 'extension/extension&type=module' ( of '&type=payment' enz.).

User avatar
Newbie

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by k2tec » Tue Jul 18, 2017 3:52 pm

Author: Clear Thinking
OpenCart 2.3 Extension Compatibility Fix

https://4easyhosting.com


User avatar
Newbie

Posts

Joined
Mon Apr 12, 2010 8:06 pm


Post by Frens » Tue Jul 18, 2017 5:59 pm

pprmkr wrote:
Tue Jul 18, 2017 2:29 pm
Meest waarschijnlijke is: onjuiste versie van de extensie.

In voorgaande versie werden modules, betaal- en verzend-methodes in de mappen in controller/module/, controller/payment enz. geplaatst.
In OC 2.3.* zijn ze echter verplaatst naar mappen controller/extension/module, controller/extension/payment enz.

De 'Cancel' link, en de redirect na opslaan instellingen, in oudere versie had in de route 'extension/module'.
Versie 2.3.* 'extension/extension&type=module' ( of '&type=payment' enz.).
De paden kloppen , het is vooral de annuleren knop die de fout geeft

Ik gebruik v 4.7.0
https://www.sisow.nl/integratie-plugin

De map admin/controller/module bevat overigens alleen het bestand vqmodmanager.php
https://www.opencart.com/index.php?rout ... _license=0

Newbie

Posts

Joined
Sat Apr 20, 2013 10:48 pm

Post by pprmkr » Tue Jul 18, 2017 10:40 pm

vQmod Manager: Compatibility 2.0.0.0, 2.0.1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2, 2.2.0.0
Dus niet aangepast aan de gewijzigde structuur in 2.3.* !

Sisow Versie 4.7.0 : Ik heb het gedownload en bekeken. Het heeft een vreemde manier om de versie te achterhalen. In ieder geval klopt de Cancel - link niet voor versie 2.3.* :

Code: Select all

		if (substr(VERSION, 0, 3) == '1.4') {
			if (substr(VERSION, 0, 5) == '1.4.8' || substr(VERSION, 0, 5) == '1.4.9') {
				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token'],
					'text' => $this->language->get('text_home'),
					'separator' => false
					);

				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'],
					'text' => $this->language->get('text_payment'),
					'separator' => ' :: '
					);

				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . "index.php?route=extension/payment/$payment&token=" . $this->session->data['token'],
					'text' => $this->language->get('heading_title_' . $payment),
					'separator' => ' :: '
					);
						
				$data['action'] = HTTPS_SERVER . "index.php?route=extension/payment/$payment&token=" . $this->session->data['token'];

				$data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'];
			}
			else {
				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . 'index.php?route=common/home',
					'text' => $this->language->get('text_home'),
					'separator' => false
					);

				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . 'index.php?route=extension/payment',
					'text' => $this->language->get('text_payment'),
					'separator' => ' :: '
					);

				$data['breadcrumbs'][] = array(
					'href' => HTTPS_SERVER . 'index.php?route=payment/' . $payment,
					'text' => $this->language->get('heading_title_' . $payment),
					'separator' => ' :: '
					);
						
				$data['action'] = HTTPS_SERVER . 'index.php?route=extension/payment/' . $payment;

				$data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/payment';
			}
		}
		else {
			$data['breadcrumbs'][] = array(
				'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
				'text' => $this->language->get('text_home'),
				'separator' => false
				);

			$data['breadcrumbs'][] = array(
				'href' => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
				'text' => $this->language->get('text_payment'),
				'separator' => ' :: '
				);

			$data['breadcrumbs'][] = array(
				'href' => $this->url->link("extension/payment/$payment", 'token=' . $this->session->data['token'], 'SSL'),
				'text' => $this->language->get('heading_title_' . $payment),
				'separator' => ' :: '
				);
					
			$data['action'] = $this->url->link("extension/payment/$payment", 'token=' . $this->session->data['token'], 'SSL');

			$data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');
		}

User avatar
Newbie

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by Frens » Tue Jul 18, 2017 11:00 pm

Bedankt voor je info.

Ik had het ook al aan Sisow doorgegeven, ook omdat een bestand een foute $ bevatte.
Als het goed is kijken ze hier ook naar de posten wat je info betreft.

VqmodManager ,,klopt ik moet heel goed naar de versie kijken 2.0.3.1 is geen 2.3xx

Newbie

Posts

Joined
Sat Apr 20, 2013 10:48 pm
Who is online

Users browsing this forum: No registered users and 4 guests